Index: code/branches/3DPacman_FS19/src/modules/pacman/Pacman.cc
===================================================================
--- code/branches/3DPacman_FS19/src/modules/pacman/Pacman.cc	(revision 12337)
+++ code/branches/3DPacman_FS19/src/modules/pacman/Pacman.cc	(revision 12338)
@@ -140,5 +140,5 @@
     //Check for collisions between to objects (compare float numbers)
     bool Pacman::collis(Vector3 one, Vector3 other){
-        if((abs(one.x-other.x)<10) && (abs(one.y-other.y)<10) && (abs(one.z-other.z)<10))
+        if((abs(one.x-other.x)<19) && (abs(one.y-other.y)<10) && (abs(one.z-other.z)<19))
             return true;
         return false;
Index: code/branches/3DPacman_FS19/src/modules/pacman/PacmanBrown.cc
===================================================================
--- code/branches/3DPacman_FS19/src/modules/pacman/PacmanBrown.cc	(revision 12337)
+++ code/branches/3DPacman_FS19/src/modules/pacman/PacmanBrown.cc	(revision 12338)
@@ -151,319 +151,4 @@
 
 
-        /*void PacmanBrown::findNeighboorPositions(Vector3 actuelposition, Vector3 adjacentPositions[], Vector3 positionArray[]){      
-            //this function should put in adjacentPosition[] the neighboors of lastPlayerPastPoint
-
-            if(findpos(actuelposition,possibleposition[0])){
-                
-
-                adjacentPositions[0]=positionArray[1]; //graphVertex(possibleposition[1]);  //need to do it everywhere !!!
-                adjacentPositions[1]=positionArray[17]; //graphVertex(possibleposition[17]);
-                adjacentPositions[2]=positionArray[19]; //graphVertex(possibleposition[19]); //maybe a vector would be more suitable ?
-            }
-            else if(findpos(actuelposition,possibleposition[1])){
-                adjacentPositions[0]=positionArray[0]; //graphVertex(possibleposition[0]);
-                adjacentPositions[1]=positionArray[2]; //graphVertex(possibleposition[2]);
-            }
-            else if(findpos(actuelposition,possibleposition[2])){
-                adjacentPositions[0]=positionArray[1]; //graphVertex(possibleposition[1]);
-                adjacentPositions[1]=positionArray[3]; //graphVertex(possibleposition[3]);
-            }
-            else if(findpos(actuelposition,possibleposition[3])){
-                adjacentPositions[0]=positionArray[2]; //graphVertex(possibleposition[2]);
-                adjacentPositions[1]=positionArray[4]; //graphVertex(possibleposition[4]);
-                adjacentPositions[2]=positionArray[5]; //graphVertex(possibleposition[5]);
-            }
-            else if(findpos(actuelposition,possibleposition[4])){
-                adjacentPositions[0]=positionArray[3]; //graphVertex(possibleposition[3]);
-                adjacentPositions[1]=positionArray[6]; //graphVertex(possibleposition[6]);
-            }
-            else if(findpos(actuelposition,possibleposition[5])){
-                adjacentPositions[0]=positionArray[3]; //graphVertex(possibleposition[3]);
-                adjacentPositions[1]=positionArray[7]; //graphVertex(possibleposition[7]);
-            }
-            else if(findpos(actuelposition,possibleposition[6])){
-                adjacentPositions[0]=positionArray[4]; //graphVertex(possibleposition[4]);
-                adjacentPositions[1]=positionArray[9]; //graphVertex(possibleposition[9]);
-                adjacentPositions[2]=positionArray[26]; //graphVertex(possibleposition[26]);
-            }
-            else if(findpos(actuelposition,possibleposition[7])){
-                adjacentPositions[0]=positionArray[5]; //graphVertex(possibleposition[5]);
-                adjacentPositions[1]=positionArray[8]; //graphVertex(possibleposition[8]);
-            }
-            else if(findpos(actuelposition,possibleposition[8])){
-                adjacentPositions[0]=positionArray[7]; //graphVertex(possibleposition[7]);
-                adjacentPositions[1]=positionArray[9]; //graphVertex(possibleposition[9]);
-            }
-            else if(findpos(actuelposition,possibleposition[9])){
-                adjacentPositions[0]=positionArray[6]; //graphVertex(possibleposition[6]);
-                adjacentPositions[1]=positionArray[8]; //graphVertex(possibleposition[8]);
-                adjacentPositions[2]=positionArray[10]; //graphVertex(possibleposition[10]);
-                adjacentPositions[3]=positionArray[38]; //graphVertex(possibleposition[38]);
-            }
-            else if(findpos(actuelposition,possibleposition[10])){
-                adjacentPositions[0]=positionArray[9]; //graphVertex(possibleposition[9]);
-                adjacentPositions[1]=positionArray[11]; //graphVertex(possibleposition[11]);
-                adjacentPositions[2]=positionArray[45]; //graphVertex(possibleposition[45]);
-            }
-            else if(findpos(actuelposition,possibleposition[11])){
-                adjacentPositions[0]=positionArray[10]; //graphVertex(possibleposition[10]);
-                adjacentPositions[1]=positionArray[12]; //graphVertex(possibleposition[12]);
-                adjacentPositions[2]=positionArray[13]; //graphVertex(possibleposition[13]);
-            }
-            else if(findpos(actuelposition,possibleposition[12])){
-                adjacentPositions[0]=positionArray[11]; //graphVertex(possibleposition[11]);
-                adjacentPositions[1]=positionArray[14]; //graphVertex(possibleposition[14]);
-            }
-            else if(findpos(actuelposition,possibleposition[13])){
-                adjacentPositions[0]=positionArray[11]; //graphVertex(possibleposition[11]);
-                adjacentPositions[1]=positionArray[14]; //graphVertex(possibleposition[14]);
-                adjacentPositions[2]=positionArray[16]; //graphVertex(possibleposition[16]);
-                adjacentPositions[3]=positionArray[61]; //graphVertex(possibleposition[61]);
-            }
-            else if(findpos(actuelposition,possibleposition[14])){
-                adjacentPositions[0]=positionArray[12]; //graphVertex(possibleposition[12]);
-                adjacentPositions[1]=positionArray[13]; //graphVertex(possibleposition[13]);
-                adjacentPositions[2]=positionArray[15]; //graphVertex(possibleposition[15]);
-            }
-            else if(findpos(actuelposition,possibleposition[15])){
-                adjacentPositions[0]=positionArray[14]; //graphVertex(possibleposition[14]);
-                adjacentPositions[1]=positionArray[16]; //graphVertex(possibleposition[16]);
-            }
-            else if(findpos(actuelposition,possibleposition[16])){
-                adjacentPositions[0]=positionArray[13]; //graphVertex(possibleposition[13]);
-                adjacentPositions[1]=positionArray[15]; //graphVertex(possibleposition[15]);
-                adjacentPositions[2]=positionArray[62]; //graphVertex(possibleposition[62]);
-            }
-            else if(findpos(actuelposition,possibleposition[17])){
-                adjacentPositions[0]=positionArray[0]; //graphVertex(possibleposition[0]);
-                adjacentPositions[1]=positionArray[25]; //graphVertex(possibleposition[25]);
-            }
-            else if(findpos(actuelposition,possibleposition[18])){
-                adjacentPositions[0]=positionArray[19]; //graphVertex(possibleposition[19]);
-                adjacentPositions[1]=positionArray[24]; //graphVertex(possibleposition[24]);                
-            }
-            else if(findpos(actuelposition,possibleposition[19])){
-                adjacentPositions[0]=positionArray[0]; //graphVertex(possibleposition[0]);
-                adjacentPositions[1]=positionArray[18]; //graphVertex(possibleposition[18]);
-                adjacentPositions[2]=positionArray[20]; //graphVertex(possibleposition[20]);
-                         }
-            else if(findpos(actuelposition,possibleposition[20])){
-                adjacentPositions[0]=positionArray[19]; //graphVertex(possibleposition[19]);
-                adjacentPositions[1]=positionArray[21]; //graphVertex(possibleposition[21]);
-                       }
-            else if(findpos(actuelposition,possibleposition[21])){
-                adjacentPositions[0]=positionArray[20]; //graphVertex(possibleposition[20]);
-                adjacentPositions[1]=positionArray[22]; //graphVertex(possibleposition[22]);
-                       }
-            else if(findpos(actuelposition,possibleposition[22])){
-                adjacentPositions[0]=positionArray[21]; //graphVertex(possibleposition[21]);
-                adjacentPositions[1]=positionArray[23]; //graphVertex(possibleposition[23]);
-                adjacentPositions[2]=positionArray[31]; //graphVertex(possibleposition[31]);
-                          }
-            else if(findpos(actuelposition,possibleposition[23])){
-                adjacentPositions[0]=positionArray[22]; //graphVertex(possibleposition[22]);
-                adjacentPositions[1]=positionArray[30]; //graphVertex(possibleposition[30]);
-                       }
-            else if(findpos(actuelposition,possibleposition[24])){
-                adjacentPositions[0]=positionArray[18]; //graphVertex(possibleposition[18]);
-                adjacentPositions[1]=positionArray[29]; //graphVertex(possibleposition[29]);
-                       }
-            else if(findpos(actuelposition,possibleposition[25])){
-                adjacentPositions[0]=positionArray[17]; //graphVertex(possibleposition[17]);
-                adjacentPositions[1]=positionArray[26]; //graphVertex(possibleposition[26]);
-                       }
-            else if(findpos(actuelposition,possibleposition[26])){
-                adjacentPositions[0]=positionArray[6]; //graphVertex(possibleposition[6]);
-                adjacentPositions[1]=positionArray[25]; //graphVertex(possibleposition[25]);
-                adjacentPositions[2]=positionArray[27]; //graphVertex(possibleposition[27]);
-                         }
-            else if(findpos(actuelposition,possibleposition[27])){
-                adjacentPositions[0]=positionArray[26]; //graphVertex(possibleposition[26]);
-                adjacentPositions[1]=positionArray[28]; //graphVertex(possibleposition[28]);
-                adjacentPositions[2]=positionArray[37]; //graphVertex(possibleposition[37]);
-                          }
-            else if(findpos(actuelposition,possibleposition[28])){
-                adjacentPositions[0]=positionArray[27]; //graphVertex(possibleposition[27]);
-                adjacentPositions[1]=positionArray[29]; //graphVertex(possibleposition[29]);
-                adjacentPositions[2]=positionArray[36]; //graphVertex(possibleposition[36]);
-                          }
-            else if(findpos(actuelposition,possibleposition[29])){
-                adjacentPositions[0]=positionArray[24]; //graphVertex(possibleposition[24]);
-                adjacentPositions[1]=positionArray[28]; //graphVertex(possibleposition[28]);
-                adjacentPositions[2]=positionArray[30]; //graphVertex(possibleposition[30]);
-                          }
-            else if(findpos(actuelposition,possibleposition[30])){
-                adjacentPositions[0]=positionArray[23]; //graphVertex(possibleposition[23]);
-                adjacentPositions[1]=positionArray[29]; //graphVertex(possibleposition[29]);
-                adjacentPositions[2]=positionArray[34]; //graphVertex(possibleposition[34]);
-                          }
-            else if(findpos(actuelposition,possibleposition[31])){
-                adjacentPositions[0]=positionArray[22]; //graphVertex(possibleposition[22]);
-                adjacentPositions[1]=positionArray[32]; //graphVertex(possibleposition[32]);
-                       }
-            else if(findpos(actuelposition,possibleposition[32])){
-                adjacentPositions[0]=positionArray[31]; //graphVertex(possibleposition[31]);
-                adjacentPositions[1]=positionArray[33]; //graphVertex(possibleposition[33]);
-                       }
-            else if(findpos(actuelposition,possibleposition[33])){
-                adjacentPositions[0]=positionArray[32]; //graphVertex(possibleposition[32]);
-                adjacentPositions[1]=positionArray[34]; //graphVertex(possibleposition[34]);
-                       }
-            else if(findpos(actuelposition,possibleposition[34])){
-                adjacentPositions[0]=positionArray[30]; //graphVertex(possibleposition[30]);
-                adjacentPositions[1]=positionArray[33]; //graphVertex(possibleposition[33]);
-                adjacentPositions[2]=positionArray[35]; //graphVertex(possibleposition[35]);
-                adjacentPositions[3]=positionArray[42]; //graphVertex(possibleposition[42]);
-                
-            }
-            else if(findpos(actuelposition,possibleposition[35])){
-                adjacentPositions[0]=positionArray[34]; //graphVertex(possibleposition[34]);
-                adjacentPositions[1]=positionArray[36]; //graphVertex(possibleposition[36]);
-                adjacentPositions[2]=positionArray[41]; //graphVertex(possibleposition[41]);
-                          }
-            else if(findpos(actuelposition,possibleposition[36])){
-                adjacentPositions[0]=positionArray[28]; //graphVertex(possibleposition[28]);
-                adjacentPositions[1]=positionArray[35]; //graphVertex(possibleposition[35]);
-                       }
-            else if(findpos(actuelposition,possibleposition[37])){
-                adjacentPositions[0]=positionArray[27]; //graphVertex(possibleposition[27]);
-                adjacentPositions[1]=positionArray[38]; //graphVertex(possibleposition[38]);
-                       }
-            else if(findpos(actuelposition,possibleposition[38])){
-                adjacentPositions[0]=positionArray[9]; //graphVertex(possibleposition[9]);
-                adjacentPositions[1]=positionArray[37]; //graphVertex(possibleposition[37]);
-                adjacentPositions[2]=positionArray[39]; //graphVertex(possibleposition[39]);
-                         }
-            else if(findpos(actuelposition,possibleposition[39])){
-                adjacentPositions[0]=positionArray[38]; //graphVertex(possibleposition[38]);
-                adjacentPositions[1]=positionArray[40]; //graphVertex(possibleposition[40]);
-                adjacentPositions[2]=positionArray[45]; //graphVertex(possibleposition[45]);
-                          }
-            else if(findpos(actuelposition,possibleposition[40])){
-                adjacentPositions[0]=positionArray[39]; //graphVertex(possibleposition[39]);
-                adjacentPositions[1]=positionArray[41]; //graphVertex(possibleposition[41]);
-            }
-            else if(findpos(actuelposition,possibleposition[41])){
-                adjacentPositions[0]=positionArray[35]; //graphVertex(possibleposition[35]);
-                adjacentPositions[1]=positionArray[43]; //graphVertex(possibleposition[43]);
-                       }
-            else if(findpos(actuelposition,possibleposition[42])){
-                adjacentPositions[0]=positionArray[34]; //graphVertex(possibleposition[34]);
-                adjacentPositions[1]=positionArray[43]; //graphVertex(possibleposition[43]);
-                adjacentPositions[2]=positionArray[54]; //graphVertex(possibleposition[54]);
-                          }
-            else if(findpos(actuelposition,possibleposition[43])){
-                adjacentPositions[0]=positionArray[41]; //graphVertex(possibleposition[41]);
-                adjacentPositions[1]=positionArray[46]; //graphVertex(possibleposition[46]);
-                       }
-            else if(findpos(actuelposition,possibleposition[44])){
-                adjacentPositions[0]=positionArray[40]; //graphVertex(possibleposition[40]);
-                adjacentPositions[1]=positionArray[66]; //graphVertex(possibleposition[66]);
-                       }
-            else if(findpos(actuelposition,possibleposition[45])){
-                adjacentPositions[0]=positionArray[10]; //graphVertex(possibleposition[10]);
-                adjacentPositions[1]=positionArray[39]; //graphVertex(possibleposition[39]);
-                adjacentPositions[2]=positionArray[49]; //graphVertex(possibleposition[49]);
-                          }
-            else if(findpos(actuelposition,possibleposition[46])){
-                adjacentPositions[0]=positionArray[43]; //graphVertex(possibleposition[43]);
-                adjacentPositions[1]=positionArray[47]; //graphVertex(possibleposition[47]);
-                       }
-            else if(findpos(actuelposition,possibleposition[47])){
-                adjacentPositions[0]=positionArray[46]; //graphVertex(possibleposition[46]);
-                adjacentPositions[1]=positionArray[52]; //graphVertex(possibleposition[52]);
-                adjacentPositions[2]=positionArray[66]; //graphVertex(possibleposition[66]);
-                          }
-            else if(findpos(actuelposition,possibleposition[48])){
-                adjacentPositions[0]=positionArray[49]; //graphVertex(possibleposition[49]);
-                adjacentPositions[1]=positionArray[51]; //graphVertex(possibleposition[51]);
-                adjacentPositions[2]=positionArray[66]; //graphVertex(possibleposition[66]);
-                          }
-            else if(findpos(actuelposition,possibleposition[49])){
-                adjacentPositions[0]=positionArray[45]; //graphVertex(possibleposition[45]);
-                adjacentPositions[1]=positionArray[48]; //graphVertex(possibleposition[48]);
-                       }
-            else if(findpos(actuelposition,possibleposition[50])){
-                adjacentPositions[0]=positionArray[51]; //graphVertex(possibleposition[51]);
-                adjacentPositions[1]=positionArray[61]; //graphVertex(possibleposition[61]);
-                       }
-            else if(findpos(actuelposition,possibleposition[51])){
-                adjacentPositions[0]=positionArray[48]; //graphVertex(possibleposition[48]);
-                adjacentPositions[1]=positionArray[50]; //graphVertex(possibleposition[50]);
-                       }
-            else if(findpos(actuelposition,possibleposition[52])){
-                adjacentPositions[0]=positionArray[47]; //graphVertex(possibleposition[47]);
-                adjacentPositions[1]=positionArray[53]; //graphVertex(possibleposition[53]);
-                       }
-            else if(findpos(actuelposition,possibleposition[53])){
-                adjacentPositions[0]=positionArray[52]; //graphVertex(possibleposition[52]);
-                adjacentPositions[1]=positionArray[58]; //graphVertex(possibleposition[58]);
-                       }
-            else if(findpos(actuelposition,possibleposition[54])){
-                adjacentPositions[0]=positionArray[42]; //graphVertex(possibleposition[42]);
-                adjacentPositions[1]=positionArray[55]; //graphVertex(possibleposition[55]);
-                adjacentPositions[2]=positionArray[57]; //graphVertex(possibleposition[57]);
-                          }
-            else if(findpos(actuelposition,possibleposition[55])){
-                adjacentPositions[0]=positionArray[54]; //graphVertex(possibleposition[54]);
-                adjacentPositions[1]=positionArray[56]; //graphVertex(possibleposition[56]);
-                       }
-            else if(findpos(actuelposition,possibleposition[56])){
-                adjacentPositions[0]=positionArray[55]; //graphVertex(possibleposition[55]);
-                adjacentPositions[1]=positionArray[57]; //graphVertex(possibleposition[57]);
-                adjacentPositions[2]=positionArray[65]; //graphVertex(possibleposition[65]);
-                          }
-            else if(findpos(actuelposition,possibleposition[57])){
-                adjacentPositions[0]=positionArray[54]; //graphVertex(possibleposition[54]);
-                adjacentPositions[1]=positionArray[56]; //graphVertex(possibleposition[56]);
-                adjacentPositions[2]=positionArray[58]; //graphVertex(possibleposition[58]);
-                adjacentPositions[3]=positionArray[64]; //graphVertex(possibleposition[64]);
-                
-            }
-            else if(findpos(actuelposition,possibleposition[58])){
-                adjacentPositions[0]=positionArray[53]; //graphVertex(possibleposition[53]);
-                adjacentPositions[1]=positionArray[57]; //graphVertex(possibleposition[57]);
-                adjacentPositions[2]=positionArray[59]; //graphVertex(possibleposition[59]);
-                          }
-            else if(findpos(actuelposition,possibleposition[59])){
-                adjacentPositions[0]=positionArray[58]; //graphVertex(possibleposition[58]);
-                adjacentPositions[1]=positionArray[59]; //graphVertex(possibleposition[59]);
-                adjacentPositions[2]=positionArray[63]; //graphVertex(possibleposition[63]);
-                          }
-            else if(findpos(actuelposition,possibleposition[60])){
-                adjacentPositions[0]=positionArray[59]; //graphVertex(possibleposition[59]);
-                adjacentPositions[1]=positionArray[61]; //graphVertex(possibleposition[61]);
-                adjacentPositions[2]=positionArray[62]; //graphVertex(possibleposition[62]);
-                          }
-            else if(findpos(actuelposition,possibleposition[61])){
-                adjacentPositions[0]=positionArray[13]; //graphVertex(possibleposition[13]);
-                adjacentPositions[1]=positionArray[50]; //graphVertex(possibleposition[50]);
-                adjacentPositions[2]=positionArray[60]; //graphVertex(possibleposition[60]);
-                          }
-            else if(findpos(actuelposition,possibleposition[62])){
-                adjacentPositions[0]=positionArray[16]; //graphVertex(possibleposition[16]);
-                adjacentPositions[1]=positionArray[60]; //graphVertex(possibleposition[60]);
-                       }
-            else if(findpos(actuelposition,possibleposition[63])){
-                adjacentPositions[0]=positionArray[59]; //graphVertex(possibleposition[59]);
-                adjacentPositions[1]=positionArray[64]; //graphVertex(possibleposition[64]);
-                       }
-            else if(findpos(actuelposition,possibleposition[64])){
-                adjacentPositions[0]=positionArray[57]; //graphVertex(possibleposition[57]);
-                adjacentPositions[1]=positionArray[63]; //graphVertex(possibleposition[63]);
-                adjacentPositions[2]=positionArray[65]; //graphVertex(possibleposition[65]);
-                          }
-            else if(findpos(actuelposition,possibleposition[65])){
-                adjacentPositions[0]=positionArray[56]; //graphVertex(possibleposition[56]);
-                adjacentPositions[1]=positionArray[64]; //graphVertex(possibleposition[64]);
-                       }
-            else if(findpos(actuelposition,possibleposition[66])){
-                adjacentPositions[0]=positionArray[47]; //graphVertex(possibleposition[47]);
-                adjacentPositions[1]=positionArray[48]; //graphVertex(possibleposition[48]);
-                       }
-    }*/
-
-
-
 }
 
Index: code/branches/3DPacman_FS19/src/modules/pacman/PacmanPink.cc
===================================================================
--- code/branches/3DPacman_FS19/src/modules/pacman/PacmanPink.cc	(revision 12337)
+++ code/branches/3DPacman_FS19/src/modules/pacman/PacmanPink.cc	(revision 12338)
@@ -45,11 +45,7 @@
             }
 
-        int directionV = findPlayerTravDir (lastPlayerPassedPoint, this->getPlayerPos());
         this->pointInFrontOfPlayer=frontPosition(); //getPointInFrontOfPacman(lastPlayerPassedPoint, directionV);
-        //std::cout<<this->pointInFrontOfPlayer<<endl;
-        //std::cout<<this->lastPlayerPassedPoint<<endl;
 
         Vector3 pinkPos=Vector3(this->target_x, 10, this->target_z);
-        //std::cout<<pinkPos<<endl;
         
         //Stop, if target arrived
@@ -91,13 +87,6 @@
             lockmove = true;
 
-            //Vector3 pinkPos=Vector3(this->target_x, 10, this->target_z);
-            //std::cout<<pinkPos<<endl;
-
-            //int directionV = findPlayerTravDir (lastPlayerPassedPoint, this->getPlayerPos());
             //this->pointInFrontOfPlayer=getPointInFrontOfPacman(lastPlayerPassedPoint, directionV);
             
-            //std::cout<<this->lastPlayerPassedPoint<<endl;
-
-            //std::cout<<this->pointInFrontOfPlayer<<endl;
             nextMove(pinkPos, pointInFrontOfPlayer, lastPlayerPassedPoint);
 
@@ -119,9 +108,11 @@
         Vector3 nextTarget;
 
-        std::cout<<this->actuelposition<<endl;
+        /*std::cout<<this->actuelposition<<endl;
         std::cout<<pinkPosP<<endl;
         std::cout<<playerPos<<endl;
         std::cout<<pointToAvoidP11<<endl;
-        std::cout<<this->getPlayerPos()<<endl;
+        std::cout<<this->getPlayerPos()<<endl;*/
+        std::cout<<playerPos<<endl;
+        std::cout<<"kok"<<endl;
 
         if(playerPos==pointToAvoidP11){ //SIGSEV if playerPos==pointToAvoidP11 otherwise
@@ -131,10 +122,20 @@
             nextTarget=getShortestPath(pinkPosP, playerPos);
         }*/
+        else if((playerPos==Vector3(-70,10,-35))/*||(playerPos==Vector3(-20,10,-35))||(playerPos==Vector3(0,10,-35))*/){
+            //nextTarget=pinkPosP;
+        nextTarget=getShortestPath(pinkPosP, Vector3(-70,10,-35));
+        std::cout<<"ChaillyVillage"<<endl;
+        }
+        /*else if((playerPos==Vector3(-70,10,-35))&&(pinkPosP==Vector3(-70,10,60))/*||(playerPos==Vector3(-20,10,-35))||(playerPos==Vector3(0,10,-35))){
+            //nextTarget=pinkPosP;
+        nextTarget=getShortestPath(pinkPosP, Vector3(-70,10,-35));
+        std::cout<<"ChaillyVillage"<<endl;
+        }*/
         else{
             //bugs here
-            std::cout<<"msjiowjqiq"<<endl;
+            std::cout<<pinkPosP<<endl;
         nextTarget = getShortestPath(pinkPosP, playerPos, pointToAvoidP11);
         }
-    
+        std::cout<<nextTarget<<endl;
        setNewTargetGhost(nextTarget);
     }
Index: code/branches/3DPacman_FS19/src/modules/pacman/PacmanRed.cc
===================================================================
--- code/branches/3DPacman_FS19/src/modules/pacman/PacmanRed.cc	(revision 12337)
+++ code/branches/3DPacman_FS19/src/modules/pacman/PacmanRed.cc	(revision 12338)
@@ -54,14 +54,4 @@
             }
 
-
-        /*if((playerFindPos(this->actuelposition, this->getPlayerPos()))&&(isNearPlayer==false)){
-            isNearPlayer=true;
-            setNewTargetRed(this->getPlayerPos());
-        }
-        else if (!(playerFindPos(this->actuelposition, this->getPlayerPos())&&(isNearPlayer==true))){
-            isNearPlayer=false;
-            setNewTargetRed(this->pointInFrontOfPlayer); 
-        }*/
-
             std::cout<<this->lastPlayerPassedPoint<<endl;
             std::cout<<this->pointInFrontOfPlayer<<endl;
@@ -110,5 +100,4 @@
             //nextMove(this->getPlayerPos(), redPos);
 
-            int directionV = findPlayerTravDir (lastPlayerPassedPoint, this->getPlayerPos());
             this->pointInFrontOfPlayer=frontPosition(); //getPointInFrontOfPacman(lastPlayerPassedPoint, directionV);
 
